summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLorin Hochstein <lorin@nimbisservices.com>2012-11-20 21:05:13 -0500
committerLorin Hochstein <lorin@nimbisservices.com>2012-11-20 21:07:15 -0500
commit5ca75b747fd0e614a02c2896b4314aee0d7cb51d (patch)
treebe31d15c66b25dd1e8f02a49e14d8da6757d77fb
parentde0842209c9cf11c7322ad0923c4ffff055003d2 (diff)
Remove obsolete config drive init.d example
Delete the example init.d script that uses the config drive. This script is not compatible with the current implementation of config drive. Change-Id: I9cf5542ef84a206b9ac5dc05637b3f6ecaaba548
-rwxr-xr-xcontrib/openstack-config65
1 files changed, 0 insertions, 65 deletions
diff --git a/contrib/openstack-config b/contrib/openstack-config
deleted file mode 100755
index d7979f7ff..000000000
--- a/contrib/openstack-config
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/sh -e
-### BEGIN INIT INFO
-# Provides: openstack
-# Required-Start: mountkernfs $local_fs
-# Required-Stop: $local_fs
-# X-Start-Before: networking
-# Should-Start:
-# Default-Start: S
-# Default-Stop:
-# Short-Description: Apply configuration from OpenStack Config Drive
-### END INIT INFO
-
-PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
-
-. /lib/lsb/init-functions
-
-copy_cloud_config() {
- LABEL="config"
- if [ ! -e /dev/disk/by-label/${LABEL} ]; then
- log_warning_msg "OpenStack Cloud Config drive not found"
- return 1
- fi
-
- MNT=/tmp/config
- mkdir -p ${MNT}
- mount /dev/disk/by-label/${LABEL} ${MNT}
- if [ -e ${MNT}/root/.ssh/authorized_keys ]; then
- mkdir -m 700 -p /root/.ssh/
- cp ${MNT}/root/.ssh/authorized_keys /root/.ssh/
- chmod 600 ${MNT}/root/.ssh/authorized_keys
- fi
- if [ -e ${MNT}/etc/network/interfaces ]; then
- cp ${MNT}/etc/network/interfaces /etc/network/
- chmod 644 /etc/network/interfaces
- fi
- umount ${MNT}
- return 0
-}
-
-case "$1" in
- start|"")
- log_action_begin_msg "Applying OpenStack Cloud Config"
- if copy_cloud_config; then
- log_action_end_msg $?
- else
- log_action_end_msg $?
- fi
- ;;
-
- restart|reload|force-reload|status)
- echo "Error: argument '$1' not supported" >&2
- exit 3
- ;;
-
- stop)
- # No-op
- ;;
-
- *)
- echo "Usage: openstack.sh [start|stop]" >&2
- exit 3
- ;;
-esac
-
-: